View Issue Details

IDProjectCategoryView StatusLast Update
0001841SOGoWeb Calendarpublic2016-05-06 15:36
Reporterryacketta Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.3.16 
Fixed in Version3.1.0 
Summary0001841: Ability to not display weekends in calendar views
Description

Provide a configuration option to not display weekends in WebUI

TagsNo tags attached.

Activities

ThomasRZ

ThomasRZ

2015-03-26 07:59

reporter   ~0008361

Any updates on that?
Also providing a configuration option for the print view would be nice, because many employees like to print the working days only.
Maybe similar to the option "Display working hours only" just for working days.

Christian Mack

Christian Mack

2016-01-19 09:10

developer   ~0009299

To be clear:
We want to be able to disable every single day in the week seperately.
This has to be a user setting.

E.g. one user who only works part time and is only working on Monday, Tuesday and Thursday shall be able to only see those 3 days (without Wednesday!) in his week and month views.
Another user wants to see his complete 7 day week including weekends.
The third user wants to only see his 5 day week without weekends.
The forth user wants to see Friday, Saturday, Sunday and Monday as he works on-call duty on those days.

francis

francis

2016-05-06 15:36

administrator   ~0010067

https://github.com/inverse-inc/sogo/commit/c5eeadf041d37b84a769be54062b58fa4ee9959a

Issue History

Date Modified Username Field Change
2012-06-15 08:39 ryacketta New Issue
2015-03-26 07:59 ThomasRZ Note Added: 0008361
2016-01-19 09:10 Christian Mack Note Added: 0009299
2016-05-06 14:50 ludovic Status new => resolved
2016-05-06 14:50 ludovic Fixed in Version => 3.1.0
2016-05-06 14:50 ludovic Resolution open => fixed
2016-05-06 14:50 ludovic Assigned To => ludovic
2016-05-06 15:36 francis Note Added: 0010067